// main.js
import Vue from 'vue'
import App from './App.vue'

// 确保 App 组件的类型正确
App.mpType = 'app'

// 创建 Vue 实例
const app = new Vue({
    render: h => h(App)
})

// 挂载应用
app.$mount()

// H5 环境下设置 firstEntryUrl
if (process.env.VUE_APP_PLATFORM === 'h5') {
    window.sessionStorage.setItem('firstEntryUrl', window.location.href.split('#')[0])
}
